Subject: Re: bug#67931: [PATCH] Use S/MIME key from content for mail signing via OpenSSL

From: Eric Abrahamsen <[email-masked]>
Date: Tue, 07 May 2024 19:28:40 -0700

Illia Ostapyshyn <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked],
>>>  Stefan Kangas <[email-masked]>, Jan Beich <[email-masked]>,
>>>  [email-masked]
>>> From: Illia Ostapyshyn <[email-masked]>
>>> Date: Mon, 06 May 2024 20:46:33 +0200
>>> 
>>> Sorry, forgot to attach the patch, sending it with this email.
>>
>> Thanks, I'm adding Eric to the discussion.
>
> Thanks!
>
> I've realized that reusing certfile parameter for signing will have
> unintended side-effects when encrypting and signing a message.  When a
> single signencrypt MML tag is used for both this results in all
> certfiles passed to both `smime-encrypt-buffer' and `smime-sign-buffer'.
>
> I'm sending a new patch that introduces a parameter called chainfile for
> signatures instead.

The patch seems to work as intended -- I won't claim to know enough
about SMIME to know if it does the right thing or not. Can you briefly
explain what the additional certificates actually do, and why they're
useful in signing but not in encryption?

Thanks,
Eric